import sys
from os import sep
sys.path.append('..'+sep+'pyvolution')

#========================================================================
from config import g, epsilon
from Numeric import allclose, array, zeros, ones, Float
from advection import *
from Numeric import array

from mesh_factory import rectangular

points, vertices, boundary = rectangular(60, 60)

#Create advection domain with direction (1,-1)
domain = Domain(points, vertices, boundary, velocity=[1.0, 0.0])

# Initial condition is zero by default

domain.visualise = True
#domain.visualise_range_z = 1.0


#Boundaries
T = Transmissive_boundary(domain)
D = Dirichlet_boundary(array([1.0]))

domain.default_order = 2


domain.set_boundary( {'left': D, 'right': T, 'bottom': T, 'top': T} )
domain.check_integrity()

#Check that the boundary value gets propagated to all elements
for t in domain.evolve(yieldstep = 0.01, finaltime = 1.5):
    domain.write_time()
